Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/CONFIG/SHARED/namelist_ref	(revision 3954)
@@ -2,5 +2,5 @@
 !! NEMO/OPA  :  1 - run manager      (namrun)
 !! namelists    2 - Domain           (namzgr, namzgr_sco, namdom, namtsd)
-!!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core
+!!              3 - Surface boundary (namsbc, namsbc_ana, namsbc_flx, namsbc_clio, namsbc_core, namsbc_sas
 !!                                    namsbc_cpl, namtra_qsr, namsbc_rnf,
 !!                                    namsbc_apr, namsbc_ssr, namsbc_alb)
@@ -128,4 +128,5 @@
 !!   namsbc_mfs      MFS  bulk formulae formulation
 !!   namsbc_cpl      CouPLed            formulation                     ("key_coupled")
+!!   namsbc_sas      StAndalone Surface module
 !!   namtra_qsr      penetrative solar radiation
 !!   namsbc_rnf      river runoffs
@@ -261,4 +262,18 @@
 /
 !-----------------------------------------------------------------------
+&namsbc_sas    !   analytical surface boundary condition
+!-----------------------------------------------------------------------
+!              !  file name  ! frequency (hours) ! variable  ! time interp. !  clim  ! 'yearly'/ ! weights  ! rotation !
+!              !             !  (if <0  months)  !   name    !   (logical)  !  (T/F) ! 'monthly' ! filename ! pairing  !
+   sn_usp      = 'sas_grid_U' ,    120    , 'vozocrtx' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_vsp      = 'sas_grid_V' ,    120    , 'vomecrty' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_tem      = 'sas_grid_T' ,    120    , 'sosstsst' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_sal      = 'sas_grid_T' ,    120    , 'sosaline' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+   sn_ssh      = 'sas_grid_T' ,    120    , 'sossheig' ,  .true.    , .true. ,   'yearly'  , ''       , ''         
+
+   ln_3d_uv    = .true.    !  specify whether we are supplying a 3D u,v field
+   cn_dir      = './'      !  root directory for the location of the bulk files are
+/
+!-----------------------------------------------------------------------
 &namtra_qsr    !   penetrative solar radiation
 !-----------------------------------------------------------------------
@@ -480,36 +495,7 @@
 &nambdy_tide     ! tidal forcing at open boundaries
 !-----------------------------------------------------------------------
-   filtide      = 'bdydta/amm12_bdytide_'         !  file name root of tidal forcing files
-    tide_cpt(1)   ='Q1'  !  names of tidal components used
-    tide_cpt(2)   ='O1'  !  names of tidal components used
-    tide_cpt(3)   ='P1'  !  names of tidal components used
-    tide_cpt(4)   ='S1'  !  names of tidal components used
-    tide_cpt(5)   ='K1'  !  names of tidal components used
-    tide_cpt(6)   ='2N2' !  names of tidal components used
-    tide_cpt(7)   ='MU2' !  names of tidal components used
-    tide_cpt(8)   ='N2'  !  names of tidal components used
-    tide_cpt(9)   ='NU2' !  names of tidal components used
-    tide_cpt(10)   ='M2'  !  names of tidal components used
-    tide_cpt(11)   ='L2'  !  names of tidal components used
-    tide_cpt(12)   ='T2'  !  names of tidal components used
-    tide_cpt(13)   ='S2'  !  names of tidal components used
-    tide_cpt(14)   ='K2'  !  names of tidal components used
-    tide_cpt(15)   ='M4'  !  names of tidal components used
-    tide_speed(1)   = 13.398661 !  phase speeds of tidal components (deg/hour)
-    tide_speed(2)   = 13.943036 !  phase speeds of tidal components (deg/hour)
-    tide_speed(3)   = 14.958932 !  phase speeds of tidal components (deg/hour)
-    tide_speed(4)   = 15.000001 !  phase speeds of tidal components (deg/hour)
-    tide_speed(5)   = 15.041069 !  phase speeds of tidal components (deg/hour)
-    tide_speed(6)   = 27.895355 !  phase speeds of tidal components (deg/hour)
-    tide_speed(7)   = 27.968210 !  phase speeds of tidal components (deg/hour)
-    tide_speed(8)   = 28.439730 !  phase speeds of tidal components (deg/hour)
-    tide_speed(9)   = 28.512585 !  phase speeds of tidal components (deg/hour)
-    tide_speed(10)   = 28.984106 !  phase speeds of tidal components (deg/hour)
-    tide_speed(11)   = 29.528479 !  phase speeds of tidal components (deg/hour)
-    tide_speed(12)   = 29.958935 !  phase speeds of tidal components (deg/hour)
-    tide_speed(13)   = 30.000002 !  phase speeds of tidal components (deg/hour)
-    tide_speed(14)   = 30.082138 !  phase speeds of tidal components (deg/hour)
-    tide_speed(15)   = 57.968212 !  phase speeds of tidal components (deg/hour)
-    ln_tide_date = .true.               !  adjust tidal harmonics for start date of run
+   filtide          = 'bdydta/amm12_bdytide_'         !  file name root of tidal forcing files
+   ln_bdytide_2ddta = .false.
+   ln_bdytide_conj  = .false.
 /
 !!======================================================================
@@ -810,4 +796,5 @@
 !!======================================================================
 !!   nammpp            Massively Parallel Processing                    ("key_mpp_mpi)
+!!   nammpp_dyndist    Massively Parallel domain decomposition          ("key_agrif" && "key_mpp_dyndist")
 !!   namctl            Control prints & Benchmark
 !!   namsol            elliptic solver / island / free surface
@@ -837,4 +824,11 @@
    jpnj        =   0       !  jpnj   number of processors following j (set automatically if < 1)
    jpnij       =   0       !  jpnij  number of local domains (set automatically if < 1)
+/
+!-----------------------------------------------------------------------
+&nammpp_dyndist !   Massively Parallel Distribution for AGRIF zoom      ("key_agrif" && "key_mpp_dyndist")
+!-----------------------------------------------------------------------
+   jpni        =    1      !  jpni   number of processors following i
+   jpnj        =    1      !  jpnj   number of processors following j
+   jpnij       =    1      !  jpnij  number of local domains
 /
 !-----------------------------------------------------------------------
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/ice.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/LIM_SRC_3/ice.F90	(revision 3954)
@@ -198,5 +198,5 @@
    REAL(wp), PUBLIC ::   time_G           !: restoring time constant for gravity drainage (= 20 days) [s]
    REAL(wp), PUBLIC ::   time_F           !: restoring time constant for gravity drainage (= 10 days) [s]
-   REAL(wp), PUBLIC ::   bulk_sal =       !: bulk salinity (ppt) in case of constant salinity
+   REAL(wp), PUBLIC ::   bulk_sal         !: bulk salinity (ppt) in case of constant salinity
 
    !                                     !!** ice-salinity namelist (namicesal) **
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/BDY/bdydta.F90	(revision 3954)
@@ -441,8 +441,12 @@
       ! Read namelists
       ! --------------
+      REWIND(numnam_ref)
       REWIND(numnam_cfg)
       jfld = 0 
       DO ib_bdy = 1, nb_bdy         
          IF( nn_dta(ib_bdy) .eq. 1 ) THEN
+
+            READ  ( numnam_ref, nambdy_dta, IOSTAT = ios, ERR = 901)
+901         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_dta in reference namelist', lwp )
 
             READ  ( numnam_cfg, nambdy_dta, IOSTAT = ios, ERR = 902 )
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/BDY/bdytides.F90	(revision 3954)
@@ -107,4 +107,6 @@
 
             ! Don't REWIND here - may need to read more than one of these namelists. 
+            READ  ( numnam_ref, nambdy_tide, IOSTAT = ios, ERR = 901)
+901         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_tide in reference namelist', lwp )
             READ  ( numnam_cfg, nambdy_tide, IOSTAT = ios, ERR = 902 )
 902         IF( ios /= 0 ) CALL ctl_nam ( ios , 'nambdy_tide in configuration namelist', lwp )
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icb_oce.F90	(revision 3954)
@@ -44,5 +44,11 @@
    PUBLIC   icb_alloc   ! routine called by icb_init in icbini.F90 module
 
-   INTEGER, PUBLIC, PARAMETER ::   nclasses = 10   !: Number of ice bergs classes
+INTEGER, PUBLIC, PARAMETER ::   nclasses = 10   !: Number of icebergs classes   
+!!INTEGER, PUBLIC &
+!!#if !defined key_agrif 
+!!           , PARAMETER &
+!!#endif
+!!     :: &
+!!     nclasses = 10   !: Number of icebergs classes
    INTEGER, PUBLIC, PARAMETER ::   nkounts  =  3   !: Number of integers combined for unique naming
 
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/ICB/icbini.F90	(revision 3954)
@@ -355,13 +355,21 @@
       !!----------------------------------------------------------------------
 
+#if !defined key_agrif
       REWIND( numnam_ref )              ! Namelist namberg in reference namelist : Iceberg parameters
       READ  ( numnam_ref, namberg, IOSTAT = ios, ERR = 901)
 901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in reference namelist', lwp )
-
       REWIND( numnam_cfg )              ! Namelist namberg in configuration namelist : Iceberg parameters
       READ  ( numnam_cfg, namberg, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namberg in configuration namelist', lwp )
       WRITE ( numond, namberg )
-      
+#else
+      IF(lwp) THEN
+         WRITE(numout,*)
+         WRITE(numout,*) 'icbini :   AGRIF is not compatible with namelist namberg :  '
+         WRITE(numout,*) '         definition of rn_initial_mass(nclasses) with nclasses as PARAMETER '
+         WRITE(numout,*) ' namelist namberg not read'
+      ENDIF
+      ln_iceberg=.false.      
+#endif   
       IF( .NOT. ln_icebergs ) THEN   ! no icebergs
          IF(lwp) THEN
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/OPA_SRC/nemogcm.F90	(revision 3954)
@@ -118,4 +118,5 @@
       !!----------------------------------------------------------------------
       !
+
 #if defined key_agrif
       CALL Agrif_Init_Grids()      ! AGRIF: set the meshes
@@ -135,4 +136,5 @@
 # endif
 #endif
+
       ! check that all process are still there... If some process have an error,
       ! they will never enter in step and other processes will wait until the end of the cpu time!
@@ -161,4 +163,5 @@
 
          DO WHILE ( istp <= nitend .AND. nstop == 0 )
+
 #if defined key_agrif
             CALL Agrif_Step( stp )           ! AGRIF: time stepping
@@ -166,4 +169,5 @@
             CALL stp( istp )                 ! standard time stepping
 #endif
+
             istp = istp + 1
             IF( lk_mpp )   CALL mpp_max( nstop )
@@ -360,6 +364,9 @@
                             CALL     sbc_init   ! Forcings : surface module
       !                                         ! Vertical physics
+
                             CALL     zdf_init      ! namelist read
+
                             CALL zdf_bfr_init      ! bottom friction
+
       IF( lk_zdfric     )   CALL zdf_ric_init      ! Richardson number dependent Kz
       IF( lk_zdftke     )   CALL zdf_tke_init      ! TKE closure scheme
@@ -394,10 +401,12 @@
       IF( nn_cla == 1   )   CALL cla_init       ! Cross Land Advection
                             CALL icb_init( rdt, nit000)   ! initialise icebergs instance
-      
+     
 #if defined key_top
       !                                     ! Passive tracers
                             CALL     trc_init
 #endif
-      !                                     ! Diagnostics
+      !
+ 
+                                            ! Diagnostics
       IF( lk_floats     )   CALL     flo_init   ! drifting Floats
       IF( lk_diaar5     )   CALL dia_ar5_init   ! ar5 diag
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/nemogcm.F90	(revision 3954)
@@ -151,6 +151,7 @@
       !!----------------------------------------------------------------------
       INTEGER ::   ji            ! dummy loop indices
+      INTEGER ::   ilocal_comm   ! local integer      
       INTEGER ::   ios
-      INTEGER ::   ilocal_comm   ! local integer
+
       CHARACTER(len=80), DIMENSION(16) ::   cltxt
       !!
@@ -160,10 +161,9 @@
       !!----------------------------------------------------------------------
       !
-      cltxt = ''
-      !
+      cltxt = ''      !
       !                             ! Open reference namelist and configuration namelist files
       CALL ctl_opn( numnam_ref, 'namelist_ref', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       CALL ctl_opn( numnam_cfg, 'namelist_cfg', 'OLD', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
-      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE., narea )
+      CALL ctl_opn( numond, 'output.namelist.dyn', 'REPLACE', 'FORMATTED', 'SEQUENTIAL', -1, 6, .FALSE. )
       !
       REWIND( numnam_ref )              ! Namelist namctl in reference namelist : Control prints & Benchmark
@@ -174,4 +174,5 @@
       READ  ( numnam_cfg, namctl, IOSTAT = ios, ERR = 902 )
 902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namctl in configuration namelist', lwp )
+      WRITE( numond, namctl )
       !
       !                             !--------------------------------------------!
@@ -182,8 +183,8 @@
          CALL  xios_initialize( "nemo",return_comm=ilocal_comm )
       ENDIF
-      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection
+      narea = mynode ( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )  ! Nodes selection
 #else
       ilocal_comm = 0
-      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )   ! Nodes selection (control print return in cltxt)
+      narea = mynode( cltxt, numnam_ref, numnam_cfg, numond , nstop, ilocal_comm )        ! Nodes selection (control print return in cltxt)
 #endif
       narea = narea + 1                                     ! mynode return the rank of proc (0 --> jpnij -1 )
@@ -370,11 +371,13 @@
       CALL iom_close                                 ! close all input/output files managed by iom_*
       !
-      IF( numstp          /= -1 )   CLOSE( numstp         )   ! time-step file
-      IF( numnam_ref      /= -1 )   CLOSE( numnam_ref     )   ! oce reference namelist
-      IF( numnam_cfg      /= -1 )   CLOSE( numnam_cfg     )   ! oce configuration namelist
-      IF( numnam_ice_ref  /= -1 )   CLOSE( numnam_ice_ref )   ! ice reference namelist
-      IF( numnam_ice_cfg  /= -1 )   CLOSE( numnam_ice_cfg )   ! ice configuration namelist
-      IF( numevo_ice      /= -1 )   CLOSE( numevo_ice     )   ! ice variables (temp. evolution)
-      IF( numout          /=  6 )   CLOSE( numout         )   ! standard model output file
+      IF( numstp          /= -1 )   CLOSE( numstp      )   ! time-step file      
+      IF( numnam_ref      /= -1 )   CLOSE( numnam_ref      )   ! oce reference namelist
+      IF( numnam_cfg      /= -1 )   CLOSE( numnam_cfg      )   ! oce configuration namelist
+      IF( numond          /= -1 )   CLOSE( numond          )   ! oce output namelist
+      IF( numnam_ice_ref  /= -1 )   CLOSE( numnam_ice_ref  )   ! ice reference namelist
+      IF( numnam_ice_cfg  /= -1 )   CLOSE( numnam_ice_cfg  )   ! ice configuration namelist
+      IF( numoni          /= -1 )   CLOSE( numoni          )   ! ice output namelist
+      IF( numevo_ice      /= -1 )   CLOSE( numevo_ice  )   ! ice variables (temp. evolution)
+      IF( numout          /=  6 )   CLOSE( numout      )   ! standard model output file
       !
       numout = 6                                     ! redefine numout in case it is used after this point...
@@ -393,6 +396,7 @@
       USE diawri    , ONLY: dia_wri_alloc
       USE dom_oce   , ONLY: dom_oce_alloc
-      !
-      INTEGER :: ierr
+      USE oce       , ONLY : sshn, sshb, snwice_mass, snwice_mass_b, snwice_fmass 
+      !
+      INTEGER :: ierr,ierr4
       !!----------------------------------------------------------------------
       !
@@ -400,4 +404,7 @@
       ierr = ierr + dom_oce_alloc   ()          ! ocean domain
       ierr = ierr + lib_mpp_alloc   (numout)    ! mpp exchanges
+      ALLOCATE( snwice_mass(jpi,jpj)  , snwice_mass_b(jpi,jpj),             &
+         &      snwice_fmass(jpi,jpj), STAT= ierr4 )
+      ierr = ierr + ierr4
       !
       IF( lk_mpp    )   CALL mpp_sum( ierr )
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/SAS_SRC/sbcssm.F90	(revision 3954)
@@ -36,6 +36,6 @@
    PUBLIC   sbc_ssm        ! called by sbc
 
-   CHARACTER(len=100)   ::   cn_dir         !: Root directory for location of ssm files
-   LOGICAL              ::   ln_3d_uv       !: specify whether input velocity data is 3D
+   CHARACTER(len=100)   ::   cn_dir     = './'    !: Root directory for location of ssm files
+   LOGICAL              ::   ln_3d_uv   = .true.  !: specify whether input velocity data is 3D
    INTEGER  , SAVE      ::   nfld_3d
    INTEGER  , SAVE      ::   nfld_2d
@@ -81,4 +81,6 @@
       
       !
+      IF (kt == nn_it000 ) CALL sbc_ssm_init()
+
       IF( nn_timing == 1 )  CALL timing_start( 'sbc_ssm')
 
@@ -100,4 +102,8 @@
       tsn(:,:,1,jp_tem) = sst_m(:,:)
       tsn(:,:,1,jp_sal) = sss_m(:,:)
+      IF ( nn_ice == 1 ) THEN
+         tsb(:,:,1,jp_tem) = sst_m(:,:)
+         tsb(:,:,1,jp_sal) = sss_m(:,:)
+      ENDIF
       ub (:,:,1       ) = ssu_m(:,:)
       vb (:,:,1       ) = ssv_m(:,:)
@@ -128,5 +134,5 @@
       INTEGER  :: ifpr                               ! dummy loop indice
       INTEGER  :: inum, idv, idimv, jpm              ! local integer
-      INTEGER  :: ios                                ! Local integer output status for namelist read
+      INTEGER  ::   ios                              ! Local integer output status for namelist read
       !!
       CHARACTER(len=100)                     ::  cn_dir       ! Root directory for location of core files
@@ -136,26 +142,22 @@
       TYPE(FLD_N) :: sn_usp, sn_vsp, sn_ssh
       !
-      NAMELIST/namsbc_ssm/cn_dir, ln_3d_uv, sn_tem, sn_sal, sn_usp, sn_vsp, sn_ssh
-
-      !!----------------------------------------------------------------------
-      !                                   ! ============
-      !                                   !   Namelist
-      !                                   ! ============
-      !
-      REWIND( numnam_ref )              ! Namelist namsbc_ssm in reference namelist : SAS files for dynamical data
-      READ  ( numnam_ref, namsbc_ssm, IOSTAT = ios, ERR = 901)
-901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ssm in reference namelist', lwp )
-
-      REWIND( numnam_cfg )              ! Namelist namsbc_ssm in configuration namelist : SAS files for dynamical data
-      READ  ( numnam_cfg, namsbc_ssm, IOSTAT = ios, ERR = 902 )
-902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_ssm in configuration namelist', lwp )
-      WRITE ( numond, namsbc_ssm )
+      NAMELIST/namsbc_sas/cn_dir, ln_3d_uv, sn_tem, sn_sal, sn_usp, sn_vsp, sn_ssh
+      
+      REWIND( numnam_ref )              ! Namelist namsbc_sas in reference namelist : Input fields
+      READ  ( numnam_ref, namsbc_sas, IOSTAT = ios, ERR = 901)
+901   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_sas in reference namelist', lwp )
+
+      REWIND( numnam_cfg )              ! Namelist namsbc_sas in configuration namelist : Input fields
+      READ  ( numnam_cfg, namsbc_sas, IOSTAT = ios, ERR = 902 )
+902   IF( ios /= 0 ) CALL ctl_nam ( ios , 'namsbc_sas in configuration namelist', lwp )
+      WRITE ( numond, namsbc_sas )
+
       !                                         ! store namelist information in an array
       !                                         ! Control print
       IF(lwp) THEN
          WRITE(numout,*)
-         WRITE(numout,*) 'sbc_ssm : standalone surface scheme '
+         WRITE(numout,*) 'sbc_sas : standalone surface scheme '
          WRITE(numout,*) '~~~~~~~~~~~ '
-         WRITE(numout,*) '   Namelist namsbc_ssm'
+         WRITE(numout,*) '   Namelist namsbc_sas'
          WRITE(numout,*)
       ENDIF
@@ -272,9 +274,11 @@
       ! so allocate enough of arrays to use
       !
+      ierr3 = 0
       jpm = MAX(jp_tem, jp_sal)
       ALLOCATE( tsn(jpi,jpj,1,jpm), STAT=ierr0 )
       ALLOCATE( ub(jpi,jpj,1)     , STAT=ierr1 )
       ALLOCATE( vb(jpi,jpj,1)     , STAT=ierr2 )
-      ierr = ierr0 + ierr1 + ierr2
+      IF ( nn_ice == 1 ) ALLOCATE( tsb(jpi,jpj,1,jpm), STAT=ierr3 )
+      ierr = ierr0 + ierr1 + ierr2 + ierr3
       IF( ierr > 0 ) THEN
          CALL ctl_stop('sbc_ssm_init: unable to allocate surface arrays')
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcnam_c14b.F90	(revision 3954)
@@ -124,4 +124,6 @@
       ENDIF
 
+   CALL FLUSH ( numonb )     ! flush output namelist C14b
+
    END SUBROUTINE trc_nam_c14b
    
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/C14b/trcsms_c14b.F90	(revision 3954)
@@ -307,5 +307,4 @@
       CALL wrk_dealloc( jpi, jpj, jpk, zdecay   )
       !
-     IF ( kt == nittrc000 ) CALL FLUSH ( numonb )     ! flush output namelist C14b
       IF( nn_timing == 1 )  CALL timing_stop('trc_sms_c14b')
       !
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcnam_cfc.F90	(revision 3954)
@@ -110,4 +110,6 @@
       ENDIF
 
+   CALL FLUSH ( numonc )     ! flush output namelist CFC
+
    END SUBROUTINE trc_nam_cfc
    
Index: branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90
===================================================================
--- branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 3901)
+++ branches/2013/dev_r3853_CNRS9_ConfSetting/NEMOGCM/NEMO/TOP_SRC/CFC/trcsms_cfc.F90	(revision 3954)
@@ -205,5 +205,4 @@
       END IF
       !
-      IF ( kt == nittrc000 ) CALL FLUSH ( numonc )     ! flush output namelist CFC
       IF( nn_timing == 1 )  CALL timing_stop('trc_sms_cfc')
       !
